#include <iostream>

using namespace std;


int Combine(int a, int b) {
	int times = 1;
	while (times <= b)
		times *= 10;
	return a * times + b;
}

int Kombinuj(int a, int b, int c) {
	return Combine(a, Combine(b, c));
}


int main()
{
	int a, b, c;
	cin >> a >> b >> c;
	
	int niz[6];
	niz[0] = Kombinuj(a, b, c);
	niz[1] = Kombinuj(a, c, b);
	niz[2] = Kombinuj(b, a, c);
	niz[3] = Kombinuj(b, c, a);
	niz[4] = Kombinuj(c, a, b);
	niz[5] = Kombinuj(c, b, a);

	int max = 0;

	for (int i = 0; i < 6; i++) {
		if (niz[i] > max) {
			max = niz[i];
		}
	}

	cout << max;
}